Skip to main content
GET
/
partner
/
campaigns
/
:id
curl https://api.thanxsandbox.com/partner/campaigns/camp_abc123 \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "campaign": {
    "id": "camp_abc123",
    "name": "Summer Free Coffee",
    "objective": "Re-engage lapsed customers",
    "start_at": "2025-06-01T00:00:00Z",
    "end_at": "2025-08-31T23:59:59Z",
    "redeemable_from": "2025-06-01T00:00:00Z",
    "redeemable_to": "2025-09-30T23:59:59Z",
    "time_zone": "America/Los_Angeles",
    "fine_print": "Limit one per customer",
    "variants": [
      {
        "id": "var_treat1",
        "name": "Treatment",
        "reward_template_id": "abc123def456"
      },
      {
        "id": "var_ctrl1",
        "name": "Control",
        "reward_template_id": null
      }
    ]
  }
}
Scope required: rewards.issue
This endpoint returns a specific partner-initiated campaign.

Parameters

id
string
required
Campaign ID

Response

id
string
Campaign ID
name
string
Campaign name
objective
string
Campaign objective
start_at
datetime
Campaign start date (ISO8601)
end_at
datetime
Campaign end date (ISO8601)
redeemable_from
datetime
Reward redemption start date (ISO8601)
redeemable_to
datetime
Reward redemption end date (ISO8601)
time_zone
string
Campaign time zone
fine_print
string
Terms and conditions
variants
array
Campaign variants
curl https://api.thanxsandbox.com/partner/campaigns/camp_abc123 \
  -X GET \
  -H 'X-ClientId: {client_id}' \
  -H 'Accept-Version: v4.0' \
  -H 'Content-Type: application/json' \
  -H 'Authorization: Bearer {access_token}'
{
  "campaign": {
    "id": "camp_abc123",
    "name": "Summer Free Coffee",
    "objective": "Re-engage lapsed customers",
    "start_at": "2025-06-01T00:00:00Z",
    "end_at": "2025-08-31T23:59:59Z",
    "redeemable_from": "2025-06-01T00:00:00Z",
    "redeemable_to": "2025-09-30T23:59:59Z",
    "time_zone": "America/Los_Angeles",
    "fine_print": "Limit one per customer",
    "variants": [
      {
        "id": "var_treat1",
        "name": "Treatment",
        "reward_template_id": "abc123def456"
      },
      {
        "id": "var_ctrl1",
        "name": "Control",
        "reward_template_id": null
      }
    ]
  }
}